#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2013, Vasudev Kamath <kamathvasudev@gmail.com>
# Copyright 2013-2017, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Data::MessagePack
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

%:
	dh $@

# we use the system version of msgpack (2001_use_system_lib.patch); move the
# include/ directory away and move it back afterwards to avoid accidents
override_dh_auto_clean:
	dh_auto_clean
	[ ! -d $(CURDIR)/include.save ] || mv $(CURDIR)/include.save $(CURDIR)/include

override_dh_auto_configure:
	[ ! -d $(CURDIR)/include ] || mv $(CURDIR)/include $(CURDIR)/include.save
	dh_auto_configure
